#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int db =0;
    int k = 0;
    int kills = 0;
    int haladas =0;
    int n;
    int harry =0;
    bool egy = false;
    bool ketto = false;
    bool harom = false;
    string eredmeny = "";
    cin >> n;
    vector<int> pe;
    vector<int> nd;
    for(int i=0;i<n;i++){
        db++;
        int x;
        cin >> x;
        if(x < 0){
            nd.push_back(-x);
        }
        else{
            pe.push_back(x);
        }
    }
    sort(nd.begin(), nd.end());
    sort(pe.begin(),pe.end());
    while(db >0 && pe[k] != harry){
            if(!egy){
                eredmeny+='1';
                kills++;
                db--;
                egy = true;
                ketto = false;
                harom = false;
            }
            if(!ketto){
                eredmeny+='2';
                ketto = true;
                egy = false;
                harom = false;
            }
            else{
                eredmeny += '3';
                harry++;
                harom = true;
                ketto = false;
                egy = false;
            }
        k++;
    }
    cout << kills << '\n';
    cout << eredmeny << '\n';
    return 0;
}